%%% MAKE FIG 1 %%%

dataNFH = csvread('183_0750cm_0810psi_598ci_NFH.csv');

m = length(dataNFH(:,1));
dt = 500e-6;
t = 0:dt:(m-1)*dt;

dataNFHnorm = dataNFH(:,1)./max(dataNFH(:,1));
dataNFHtruncate = dataNFHnorm(ceil(m/5):ceil(m/2));
ttruncate = t(ceil(m/5):ceil(m/2));
figure;
subplot(2,2,1);

plot(ttruncate, dataNFHtruncate);
ylabel('normalized \Delta p');
xlabel('time (s)');
title('Near-Field');
xlim([1 2.5])

[fNFH, PNFH] = pressure_spectra(ttruncate, dataNFHtruncate);
subplot(2,2,2);
semilogx(fNFH, PNFH./max(PNFH));
xlim([1 300]);
ylabel('normalized power');
xlabel('frequency (Hz)');
title('Near-Field');

dataDHA = csvread('183_0750cm_0810psi_598ci_DHA.csv');

m = length(dataDHA(:,1));
dt = 31.25e-6;
t = 0:dt:(m-1)*dt;

subplot(2,2,3);
plot(t, dataDHA(:,1)/1e5*75);
ylabel('\Delta p (bar m)');
xlabel('time (s)');
title('Far-Field');

[fDHA, PDHA] = pressure_spectra(t, dataDHA(:,1)*75);
subplot(2,2,4);
semilogx(fDHA, PDHA);
xlim([1 300]);
ylabel('power (dB)');
xlabel('frequency (Hz)');
title('Far-Field');

print('exampleData','-dpdf');
