%%% MAKE FIG 2 %%%

cmp = get(gca,'ColorOrder');

%% DATA 1 %%
data1 = csvread('153_0500cm_0810psi_598ci_DHA.csv');

m = length(data1);
dt = 31.25e-6;
t = 0:dt:(m-1)*dt;
r = 75;

[f, P] = pressure_spectra(t, data1(:,1)*r);
figure; 
semilogx(f, P,'LineWidth',2,'Color',cmp(1,:)); hold on;
set(gca,'FontSize',16);
xlabel('frequency (Hz)');
ylabel('power (dB)');

%% DATA 2 %%

data2 = csvread('207_1000cm_0610psi_598ci_DHA.csv');
[f, P] = pressure_spectra(t, data2(:,1)*r);
plot(f, P, 'LineWidth',2,'Color',cmp(2,:));


%% DATA 3 %%

data3 = csvread('234_1500cm_0410psi_598ci_DHA.csv');
[f, P] = pressure_spectra(t, data3(:,1)*r);
plot(f, P, 'LineWidth',2,'Color',cmp(3,:));

xlim([3 100]);
ylim([140 210]);
legend('810 psi, 598 in^3, 5 m','610 psi, 598 in^3, 10 m','410 psi, 598 in^3, 15 m');

rayleigh_willis_plot(810, 598, 5, cmp(1,:));
rayleigh_willis_plot(610, 598, 10, cmp(2,:));
rayleigh_willis_plot(410, 598, 15, cmp(3,:));

print('rayleighWillisData','-dpdf');