%%% MAKE FIG 5 %%%

%% DATA %%

data = csvread('138_0500cm_0410psi_598ci_DHA.csv');
pData = data(:,1); 
m = length(pData);
dt = 31.25e-6;
t = 0:dt:(m-1)*dt;

r = 75;
pDataBarM = pData * 1e-5 * r;

FigHandle = figure;
set(FigHandle, 'Position', [100, 100, 1000, 400]);

subplot(1,2,1);
plot(t-0.04069, pDataBarM,'LineStyle','-','LineWidth',2); hold on;
xlabel('time (s)'); ylabel('\Delta p (bar m)')
set(gca,'fontsize',16); xlim([0 0.5]);

[f, P] = pressure_spectra(t, pData*r);
subplot(1,2,2); 
semilogx(f, P,'LineStyle','-','LineWidth',2); hold on;
xlabel('frequency (Hz)'); ylabel('power (dB)');
set(gca,'fontsize',16);

%% MODEL %%

portArea = 4;
A = [410, 598, portArea]; %;
    
depth = 4.9;
physConst = physical_constants(depth);
physConst.time = [0 1];
physConst.eta = 0.5;
physConst.M = 5;
AirgunBubbleSolve(A, physConst);

subplot(1,2,1); 
legend('Data','Model');

subplot(1,2,2);
xlim([1 300]); ylim([120 210]);
legend('Data','Model');

print('Shot138','-dpdf');
