%% PLOT DATA %%

figure(1); clf;

addpath Data

%% NEAR FIELD %%

data = csvread('183_0750cm_0810psi_598ci_NFH.csv');
pData = data(:,1); 
m = length(pData);
dt = 500e-6;
t = 0:dt:(m-1)*dt;

tInt = 1:dt:3;
pInt = pchip(t, pData, tInt);

figure(1); subplot(2,2,1);
plot(tInt, pInt,'LineStyle','-','LineWidth',2); hold on;
xlabel('time (s)'); ylabel('pressure (bar m)')
set(gca,'fontsize',16); %xlim([1 2]);
title('Near-Field');

[f, P] = pressure_spectra(tInt, pInt);
figure(1); subplot(2,2,2); 
semilogx(f, P,'LineStyle','-','LineWidth',2); hold on;
xlabel('frequency (Hz)'); ylabel('power (dB)');
set(gca,'fontsize',16);
xlim([1 1000]); ylim([20 150]);
title('Near-Field');

%% FAR FIELD %%

data = csvread('183_0750cm_0810psi_598ci_DHA.csv');
pData = data(:,1); 
m = length(pData);
dt = 31.25e-6;
t = 0:dt:(m-1)*dt;

pDataBarM = pData * 1e-5 * 75;

figure(1); subplot(2,2,3);
plot(t-0.04069, pDataBarM,'LineStyle','-','LineWidth',2); hold on;
xlabel('time (s)'); ylabel('pressure (bar m)')
set(gca,'fontsize',16); xlim([0 0.5]);
title('Far-Field');

[f, P] = pressure_spectra(t, pData);
figure(1); subplot(2,2,4); 
semilogx(f, P,'LineStyle','-','LineWidth',2); hold on;
xlabel('frequency (Hz)'); ylabel('power (dB)');
set(gca,'fontsize',16);
xlim([1 200]); ylim([80 180]);
title('Far-Field');