%% AIRGUN BUBBLE EVAL %%

cmp = get(gca,'ColorOrder');
physConst = physical_constants();
portArea = 11;

figure;
A = [810, 598, portArea];
physConst.r = 75;
physConst.depth = 5;
physConst.p_infty = physConst.p0 + physConst.rho_infty*physConst.g*physConst.depth;
physConst.c_infty = sqrt(physConst.n*((physConst.p_infty + physConst.B)/physConst.rho_infty));
AirgunBubbleSolve(A, physConst);

A = [610, 598, portArea];
physConst.r = 75;
physConst.depth = 10;
physConst.p_infty = physConst.p0 + physConst.rho_infty*physConst.g*physConst.depth;
physConst.c_infty = sqrt(physConst.n*((physConst.p_infty + physConst.B)/physConst.rho_infty));
AirgunBubbleSolve(A, physConst);

A = [410, 598, portArea];
physConst.r = 75;
physConst.depth = 15;
physConst.p_infty = physConst.p0 + physConst.rho_infty*physConst.g*physConst.depth;
physConst.c_infty = sqrt(physConst.n*((physConst.p_infty + physConst.B)/physConst.rho_infty));
AirgunBubbleSolve(A, physConst);

xlim([3 100]);
ylim([140 210]);

rayleigh_willis_plot(810, 598, 5, cmp(1,:));
rayleigh_willis_plot(610, 598, 10, cmp(2,:));
rayleigh_willis_plot(410, 598, 15, cmp(3,:));

set(gca,'FontSize',16);
xlabel('frequency (Hz)');
ylabel('power (dB)');
legend('810 psi, 598 in^3, 5 m','610 psi, 598 in^3, 10 m','410 psi, 598 in^3, 15 m');


print('rayleighWillisModel','-dpdf');
