%% MAKE FIG 8 %%

FigHandle = figure;
set(FigHandle, 'Position', [100, 100, 1000, 400]);

A = [2000, 1000, 16;
600 3333.3 62];

depth = 7.5;
physConst = physical_constants(depth);
physConst.time = [0 1];
physConst.eta = 0.5;
physConst.M = 5;

AirgunBubbleSolve(A, physConst);

subplot(1,2,1); 
xlabel('time (s)'); ylabel('pressure (bar m)');
xlim([0 1]); set(gca,'fontsize',16);
legend('1000 in^3 airgun at 2000 psi','3333 in^3 LPS at 600 psi');

subplot(1,2,2);
xlabel('frequency (Hz)'); ylabel('power (dB)');
set(gca,'fontsize',16); xlim([1 300]); ylim([160 220]);

print('LPS1','-dpdf');