function [] = AirgunBubbleSolve(airgunParams, physConst)

[m,n] = size(airgunParams);

for i = 1:m;
       
    airgunInit = airgun_initialization(airgunParams(i,:), physConst);
    bubbleInit = bubble_initialization(airgunInit, physConst);
    
    initCond = initCond_save(bubbleInit, airgunInit);
    params = params_save(bubbleInit, airgunInit, physConst);
    
    [t, Y] = ode45(@modified_herring_eqn, physConst.time, initCond, [], params);
    
    R = Y(:,1); U = Y(:,2);
    
    [tDir, pDir] = pressure_eqn(t, R, U, physConst.rho_infty, physConst.c_infty, physConst.r); %direct arrival
        
    dt = 5e-4;
    tInterp = min(tDir):dt:max(tDir);
    pPres = pchip(tDir, pDir, tInterp);
        
    pPresBarM = pPres * 1e-5 * physConst.r;
    subplot(1,2,1); 
    plot(tInterp, pPresBarM, 'LineWidth', 2, 'LineStyle','-'); hold on;
    
    [f, P] = pressure_spectra(tInterp, pPres*physConst.r);
    subplot(1,2,2);
    semilogx(f, medfilt1(P,1), 'LineWidth', 2, 'LineStyle','-'); hold on;    
       
    
    

end

